dhall-1.42.2: A configuration language guaranteed to terminate

Safe Haskell | None
Language | Haskell2010

Dhall.Schemas

Description

This module contains the implementation of the `dhall rewrite-with-schemas` subcommand

Synopsis

- schemasCommand :: Schemas -> IO ()
- data Schemas = Schemas {
  - chosenCharacterSet :: Maybe CharacterSet
  - censor :: Censor
  - input :: Input
  - outputMode :: OutputMode
  - schemas :: Text
  }
- rewriteWithSchemas :: Expr Src Import -> Expr Src Import -> IO (Expr Src Import)
- data SchemasError = NotASchemaRecord

# Documentation

Schemas

schemasCommand :: Schemas -> IO () #

Implementation of the `dhall rewrite-with-schemas` subcommand

data Schemas #

Arguments to the `rewrite-with-schemas` subcommand

Constructors

Schemas |
Fields chosenCharacterSet :: Maybe CharacterSet censor :: Censor input :: Input outputMode :: OutputMode schemas :: Text

rewriteWithSchemas #

Arguments

:: Expr Src Import | Record of schemas
-> Expr Src Import | Expression to simplify using the supplied schemas
-> IO (Expr Src Import) |

Simplify a Dhall expression using a record of schemas

data SchemasError #

Errors that can be thrown by `rewriteWithSchemas`

Constructors

NotASchemaRecord |

#### Instances

Instances details

Exception SchemasError # |
Instance details Defined in Dhall.Schemas Methods toException :: SchemasError -> SomeException # fromException :: SomeException -> Maybe SchemasError # displayException :: SchemasError -> String # backtraceDesired :: SchemasError -> Bool #
Show SchemasError # |
Instance details Defined in Dhall.Schemas Methods showsPrec :: Int -> SchemasError -> ShowS # show :: SchemasError -> String # showList :: [SchemasError] -> ShowS #